﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Collections.Specialized;
using System.Collections;

namespace WindowsFormsApplication1
{
    public partial class InputForm : Form
    {
        private List<DictionaryEntry> category;

        public InputForm()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.DialogResult = DialogResult.Cancel;
            this.Close();
        }

        public DateTime Date
        {
            get { return this.dateTimePicker1.Value; }
            set { this.dateTimePicker1.Value = value; }
        }

        public List<DictionaryEntry> Category
        {
            get { return this.category; }
            set
            {
                this.category = value;
                this.initializeCategory();
            }
        }

        public object CategoryCode
        {
            get { return this.comboBox1.SelectedValue; }
            set { this.comboBox1.SelectedValue = value; }
        }

        public int Proceeds
        {
            get
            {
                int proceeds;
                if (int.TryParse(this.proceedsMaskedText.Text, out proceeds))
                {
                    return proceeds;
                }
                else
                {
                    return 0;
                }
            }
            set
            {
                this.proceedsMaskedText.Text = value.ToString();
            }
        }

        public int Payments
        {
            get
            {
                int payments;
                if (int.TryParse(this.paymentsMaskedText.Text, out payments))
                {
                    return payments;
                }
                else
                {
                    return 0;
                }
            }
            set
            {
                this.paymentsMaskedText.Text = value.ToString();
            }
        }
        private void initializeCategory()
        {
            this.comboBox1.DropDownStyle = ComboBoxStyle.DropDownList;
            this.comboBox1.DataSource = this.category;
            this.comboBox1.ValueMember = "Key";
            this.comboBox1.DisplayMember = "Value";
        }
    }
}
